Bug 84439 - Mouse Pointer Sometimes Lost
Mouse Pointer Sometimes Lost
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-16 22:27 EST by John Mellor
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-24 16:59:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mellor 2003-02-16 22:27:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030120

Description of problem:
After exiting an app (typically Gnome Terminal), there is a lowe probability of
losing the mouse pointer.  The mouse continues to function properly, but you can
no longer tell where it is.

Incidence seems to be about once every 50 or so terminal normal exits.

Possible race condition exacerbated by timing differences in the Athlon
architecture.

Secondary confirmation from Elton Woo (see phoebe-list@redhat.com Feb 16 
messages), who is also running an Athlon processor.


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Normal exit from a terminal session.

Actual Results:  No mouse pointer sometimes.

Expected Results:  Mouse pointer is always present.

Additional info:

Athlon 1GHz, 521MB, nVidia geForce4mx, nv X11 module, Generic PS2 scroll-mouse.
Comment 1 Mike A. Harris 2003-02-17 05:26:36 EST
Whatever this problem is, it is extremely unlikely to have anything
whatsoever to do with you both running Athlon processors.  I think
you are jumping to conclusions very prematurely.

You did not indicate what specific version of XFree86 you are running.
When filing bug reports against a beta release or rawhide, please always
include the exact version-release of the software you are using.

Recommendation: Upgrade your beta install to the latest rawhide packages
of XFree86, the kernel and other relevant software.  If the problem
persists, please attach your X server log file and config file, and get
others who are experiencing this problem to please do the same so that
there is more information to go on.
Comment 2 Mike A. Harris 2004-09-24 16:59:59 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  We
encourage you to upgrade to the latest version of Fedora Core
(http://fedora.redhat.com).

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.